﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="../styles/style.css" type="text/css" />
</head>
<?php
require('../Connections/connectMySql.php');

// conditions recaptcha pour le traitement du formulaire à inclure tout en début de la page du traitement du formulaire (celle désigné dans l'action du formulaire).

		$captcha = htmlspecialchars(trim($_POST['g-recaptcha-response']));
		if(!$captcha){
			?>
<div class="AlerteRougeSurlignee">Attention ! Vous êtes obligé de valider l'anti robot spammeur reCAPTCHA. <br> <a href="javascript:history.go(-1)">Retour au formulaire</a> </div>
<?php
		}ELSE{
			$reponse = file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6LegtQsTAAAAAFWxFU3Y_wUesA6tSoT6bt_ve8q1&response=".$captcha."&remoteip=".$_SERVER['REMOTE_ADDR']);
			$data = json_decode($reponse);
			if ($data->success ==1)
			{

// Ici à partir de ce point : Traitement d'envoi du formulaire

// on démarre une session
session_start();

// on initialise les variables de session

	$_SESSION['civilite'] = $_POST['civilite'];
	$_SESSION['prenom'] = $_POST['prenom'];
	$_SESSION['nom'] = $_POST['nom'];
	$_SESSION['code_postal'] = $_POST['code_postal'];
	$_SESSION['ville'] = $_POST['ville'];
	$_SESSION['pays'] = $_POST['pays'];
	$_SESSION['email'] = $_POST['email'];
	$_SESSION['news_lettre'] = $_POST['news_lettre'];
	$_SESSION['date'] = $_POST['date'];

// Ici on conditionne tous les champs obligatoires

if (isset($_POST['civilite']) && isset($_POST['prenom']) && isset($_POST['nom']) && isset($_POST['code_postal']) && isset($_POST['ville']) && isset($_POST['pays']) && isset($_POST['email'])) {

	
// on initialise tous les champs "obligatoires ou non" dans des variables
	
	$civilite = strip_tags($_POST['civilite']);
	$prenom = strip_tags($_POST['prenom']);
	$nom = strip_tags($_POST['nom']);
	$societe = strip_tags($_POST['societe']);
	$code_postal = strip_tags($_POST['code_postal']);
	$ville = strip_tags($_POST['ville']);
	$pays = strip_tags($_POST['pays']);
	$email = strip_tags($_POST['email']);
	$news_lettre = strip_tags($_POST['news_lettre']);
	$adresse_ip = strip_tags($_POST['adresse_ip']);
	$fai = strip_tags($_POST['fai']);
	$navigateur = strip_tags($_POST['navigateur']);
	$systeme = strip_tags($_POST['systeme']);
	$langue = strip_tags($_POST['langue']);
	$code_post_ip = strip_tags($_POST['code_post_ip']);
	$ville_ip = strip_tags($_POST['ville_ip']);
	$region_ip = strip_tags($_POST['region_ip']);
	$pays_ip = strip_tags($_POST['pays_ip']);
	$nom_pays_ip = strip_tags($_POST['nom_pays_ip']);
	$geoloc_ip = strip_tags($_POST['geoloc_ip']);
	$fuseau_horaire_ip = strip_tags($_POST['fuseau_horaire_ip']);
	$date = strip_tags($_POST['date']);

// on prépare la requête d'envoi avec tous les champs obligatoires ou non

		$req = $DB->prepare('INSERT INTO contacts( civilite, prenom, nom, societe, code_postal, ville, pays, email, news_lettre, adresse_ip, fai, navigateur, systeme, langue, code_post_ip, ville_ip, region_ip, pays_ip, nom_pays_ip,  geoloc_ip, fuseau_horaire_ip, date) VALUES(:civilite, :prenom, :nom, :societe, :code_postal, :ville, :pays, :email, :news_lettre, :adresse_ip, :fai, :navigateur, :systeme, :langue, :code_post_ip, :ville_ip, :region_ip, :pays_ip, :nom_pays_ip, : geoloc_ip, :fuseau_horaire_ip, :date)');

// On exécute l'envoi de tous les champs
	
	$req->execute(array(
		'civilite' => $civilite,
		'prenom' => $prenom,
		'nom' => $nom,
		'societe' => $societe,
		'code_postal' => $code_postal,
		'ville' => $ville,
		'pays' => $pays,
		'email' => $email,
		'news_lettre' => $news_lettre,
		'adresse_ip' => $adresse_ip,
		'fai' => $fai,
		'navigateur' => $navigateur,
		'systeme' => $systeme,
		'langue' => $langue,
		'code_post_ip' => $code_post_ip,
		'ville_ip' => $ville_ip,
		'region_ip' => $region_ip,
		'pays_ip' => $pays_ip,
		'nom_pays_ip' => $nom_pays_ip,
		'geoloc_ip' => $geoloc_ip,
		'fuseau_horaire_ip' => $fuseau_horaire_ip,
		'date' => $date,
		));
		

}
// envoi email 1 et 2

	  $to1="p.dieudonne@eolprocess.com";
	  $to2="secretariat@eolprocess.com";
	  $sujet="Nouvel abonné à la News Lettre";
	  $courrier = nl2br($courrier);
	  $renseignements="Un nouvel abonné à la news lettre est arrivé <br />
	  Civilité : $civilite <br />
	  Prénom : $prenom <br />
	  Nom : $nom <br />
	  Société : $societe <br />
	  Code postal : $code_postal <br />
	  Ville : $ville <br />
	  Pays : $pays <br />
	  Email : $email <br />
	  Abonnement NewsLettre : $news_lettre <br />
	  adresse_ip : $adresse_ip <br />
	  code_post_ip : $code_post_ip <br />
	  ville_ip : $ville_ip <br />
	  region_ip : $region_ip <br />
	  pays_ip : $pays_ip <br />
	  nom_pays_ip : $nom_pays_ip <br />
	  geoloc_ip : $geoloc_ip <br />
	  fuseau_horaire_ip : $fuseau_horaire_ip <br />
	  Date : $date ";
	  
	  $entete='From : '.$email."\r\n".
	  'Reply-To: '.$email . "\r\n" .
	  'Content-type : text/html; charset=utf-8'."\r\n".
	  "Content-Transfer-Encoding: 8bit\r\n".
	  'Bcc: '.$to2 . "\r\n".
	  'X-Sender: '.$email."\r\n".
	  'X-Mailer: PHP/' . phpversion('5.6'). "\r\n".
	  'X-Priority: 2\r\n'.
	  'Return-Path: '.$email."\r\n".
	  'MIME-Version: 1.0\r\n'; 
	  
	 
	  mail($to1,$sujet,$renseignements,$entete);
	 
	 	  
	 // Réponse automatique à prise de contact

	$sujet_reponse_auto = "Accusé de réception de votre abonnement à notre News Lettre";

	$reponseauto = "
<html>
<body>
<p><span style='font-size:12.0pt;
line-height:107%;font-family:Verdana,sans-serif'>Bonjour, ".$civilite." ".$nom." ,</span></p>
<p><span style='font-size:12.0pt;line-height:107%;font-family:
Verdana,sans-serif'>Cette éolienne est maintenant commercialisée par la <a href='http://www.inergys.fr/solutions.html'>société Inergys</a>.</span> </p>
<p><span style='font-size:12.0pt;line-height:107%;font-family:Verdana,sans-serif;background:yellow;'><strong>L’avantage du procédé EolProcess est de pouvoir s’adapter à tous les cas de figure et de construire du sur-mesure à faible coût, les pales étant constituées de modules empilables. Il sera par conséquent possible de construire les surfaces de pales sur mesure en fonction de vos deux critères suivants :</strong></span></p><ol><li><b><span style='font-size:12.0pt;line-height:107%;font-family:Verdana,sans-serif;background:yellow;'>Votre variable vent (production à partir d’une vitesse de vent de 2 m/s) ;</span></b></li><li><b><span
style='font-size:12.0pt;line-height:107%;font-family:Verdana,sans-serif;background:yellow;'>vos besoins en énergie en fonction de cette variable.</span></b></li></ol> <p><span style='font-size:12.0pt;line-height:107%;font-family:Verdana,sans-serif;
background:yellow;'><strong>C’est le seul système actuel qui permette de faire du sur-mesure.</strong></span></p> <p><span style='font-size:12.0pt;line-height:107%;font-family:
Verdana,sans-serif'><a href='http://www.eolprocess.com/abonnement_newslettre.php'>Inscrivez-vous à ma news-lettre, vous serez tenu informé(e) sur l'évolution du produit.</a><br></span> <span style='font-size:12.0pt;line-height:107%;font-family:
Verdana,sans-serif'><a href='http://www.eolprocess.com/abonnement_newslettre.php'>http://www.eolprocess.com/abonnement_newslettre.php</a>.</span></p> <p><span style='font-size:12.0pt;line-height:107%;font-family:
Verdana,sans-serif'><a href='http://creativecommons.org/licenses/by-nc-nd/2.0/fr/'>Pour faire avancer la promotion de ce produit, vous pouvez également diffuser la présentation de mon éolienne par tous liens y menant sous réserve du respect de la licence Créative Commons consultable sur ce lien :</a><br><a href='http://www.eolprocess.com/abonnement_newslettre.php'>http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ </a></span></p>
<p><span style='font-size:12.0pt;line-height:107%;font-family:Verdana,sans-serif; background:yellow;'><strong>Vous serez régulièrement tenu informé(e) de l'évolution du produit.</strong></span></p><p><span style='font-size:12.0pt;line-height:107%;font-family: Verdana,sans-serif'>Recevez mes salutations distinguées.</span></p> <p><b>
<span style='font: 12.0pt/107% Verdana, sans-serif;'><a href='mailto: p.dieudonne@eolprocess.com'>Pierre Dieudonné</a></span></b></p> <p><b><span style='font: 12.0pt/107% Verdana, sans-serif;'><a
href='http://www.eolprocess.com'>EolProcess.com</a></span></b></p> 
</body>
</html>
";

	  $entete_reponse_auto ='From: '.$to1."\r\n" ;
	  $entete_reponse_auto .= 'MIME-version: 1.0'."\r\n";
	  $entete_reponse_auto .= 'Content-type : text/html; charset=utf-8'."\r\n";
	  $entete_reponse_auto .='Reply-To: '.$email. "\r\n" ;
	$entete_reponse_auto .= 'Bcc: '.$to2. "\r\n";;
	  
	  mail($email,$sujet_reponse_auto,$reponseauto,$entete_reponse_auto);
	   
// fin de l'envoi email réponse automatique 

// Fin de l'envoi des emails

// on ouvre la page de remerciements

  $insertGoTo = "../AR_form_abonnement_newslettre.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $insertGoTo .= (strpos($insertGoTo, '?')) ? "&" : "?";
    $insertGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $insertGoTo));
  
  // fin des conditions reCAPTCHA, à placer en dernier, à la fin du traitement d'envoi : "message si google analyse le comportement d'un robot"

}else
			{
				var_dump($data);
			?>
<div class="AlerteRougeSurlignee">Google m'a dit que vous étiez un Robot Spammeur !<br> <a href="javascript:history.go(-1)">Retour au formulaire</a> </div>
<?php		
			}
		};

?>