<?php 
/* Dfinition des variables d'environnement collectes */

/* Dfinition variable l'adresse ip */
$adresse_ip = $_SERVER['REMOTE_ADDR'];

/* Dfinition variable fournisseur_acces */
function getCurrentIP() {
    $ip = (getenv(HTTP_X_FORWARDED_FOR))
  ?  getenv(HTTP_X_FORWARDED_FOR)
  :  getenv(REMOTE_ADDR);
  return $ip;
};

function getCurrentFAI() {
	$ip = getCurrentIP();
	$host = @gethostbyaddr($ip); 
	$fai = false;
	if(substr_count($host, 'proxad')) $fai = 'free';
	if(substr_count($host, 'orange')) $fai = 'orange';
	if(substr_count($host, 'wanadoo')) $fai = 'orange';
	if(substr_count($host, 'sfr')) $fai = 'sfr';
	if(substr_count($host, 'club-internet')) $fai = 'sfr';
	if(substr_count($host, 'neuf')) $fai = 'neuf';
	if(substr_count($host, 'gaoland')) $fai = 'neuf';
	if(substr_count($host, 'bbox')) $fai = 'bouygues';
	if(substr_count($host, 'bouyg')) $fai = 'bouygues';
	if(substr_count($host, 'numericable')) $fai = 'numericable';
	if(substr_count($host, 'tele2')) $fai = 'tele2';
	return $fai;
};

$fournisseur_acces = getCurrentFAI();
if (empty($fournisseur_acces)) {
  $fournisseur_acces = 'Inconnu';
}


/* dfinition Port Fourisseur d'acc&egrave;s */

$port_fai = $_SERVER['REMOTE_PORT'];

/* Dfinition variable Navigateur internaute */
if (preg_match_all("#Opera (.*)(\[[a-z]{2}\];)?$#isU", $_SERVER

["HTTP_USER_AGENT"], $version))
{
	$navigateur = 'Opra ' . $version[1][0];
}
elseif (preg_match_all("#MSIE (.*);#isU", $_SERVER["HTTP_USER_AGENT"], 

$version))
{
	$navigateur = 'Internet Explorer ' . $version[1][0];
}
elseif (preg_match_all("#Firefox(.*)$#isU", $_SERVER["HTTP_USER_AGENT"], 

$version))
{
	$version = str_replace('/', '', $version[1][0]);
	$navigateur = 'Firefox ' . $version;
}
elseif (preg_match_all("#Chrome(.*) Safari#isU", $_SERVER["HTTP_USER_AGENT"], 

$version))
{
	$version = str_replace('/', '', $version[1][0]);
	$navigateur = 'Chrome ' . $version;
}
elseif (preg_match_all("#Opera(.*) \(#isU", $_SERVER["HTTP_USER_AGENT"], 

$version))
{
	$version = str_replace('/', '', $version[1][0]);
	$navigateur = 'Opra ' . $version;
}
elseif (preg_match("#Nokia#", $_SERVER["HTTP_USER_AGENT"]))
{
	$navigateur = 'Nokia';
}
elseif (preg_match("#Safari#", $_SERVER["HTTP_USER_AGENT"]))
{
	$navigateur = 'Safari';
}
elseif (preg_match("#SeaMonkey#", $_SERVER["HTTP_USER_AGENT"]))
{
	$navigateur = 'SeaMonkey';
}
elseif (preg_match("#PSP#", $_SERVER["HTTP_USER_AGENT"]))
{
	$navigateur = 'PSP';
}
elseif (preg_match("#Netscape#", $_SERVER["HTTP_USER_AGENT"]))
{
	$navigateur = 'Netscape';
}
else
{
	$navigateur = 'Inconnu';
};

/* Dfinition variable systeme internaute */
if (preg_match_all("#Windows NT (.*)[;|\)]#isU", $_SERVER["HTTP_USER_AGENT"], 

$version))
{
	if ($version[1][0] == '6.1')
	{
		$os = 'Windows Seven';
	}
	elseif($version[1][0] == '6.0')
	{
		$os = 'Windows Vista';
	}
	elseif($version[1][0] == '5.1')
	{
		$os = 'Windows XP';
	}
	elseif($version[1][0] == '5.2')
	{
		$os = 'Windows Server 2003';
	}
	else
	{
		$os = 'Windows ' . $version[1][0];
	}
}
elseif (preg_match_all("#Mac (.*);#isU", $_SERVER["HTTP_USER_AGENT"], $version))
{
	$os = 'Mac ' . $version[1][0];
}
elseif (preg_match("#Windows 98#", $_SERVER["HTTP_USER_AGENT"]))
{
	$os = 'Windows 98';
}
elseif (preg_match("#Mac#", $_SERVER["HTTP_USER_AGENT"]))
{
	$os = 'Mac';
}
elseif (preg_match("#SunOS#", $_SERVER["HTTP_USER_AGENT"]))
{
	$os = 'SunOS';
}
elseif (preg_match("#Fedora#", $_SERVER["HTTP_USER_AGENT"]))
{
	$os = 'Fedora';
}
elseif (preg_match("#Haiku#", $_SERVER["HTTP_USER_AGENT"]))
{
	$os = 'Haiku';
}
elseif (preg_match("#Ubuntu#", $_SERVER["HTTP_USER_AGENT"]))
{
	$os = 'Linux Ubuntu';
}
elseif (preg_match("#FreeBSD#", $_SERVER["HTTP_USER_AGENT"]))
{
	$os = 'FreeBSD';
}
elseif (preg_match("#Linux#", $_SERVER["HTTP_USER_AGENT"]))
{
	$os = 'Linux';
}
else {
	$os = 'Inconnu';
};

/* dfinition variable langue internaute */
$langue = $_SERVER['HTTP_ACCEPT_LANGUAGE'] ;

/* code postal de l'ip*/
$code_post_ip = trim(file_get_contents("https://ipinfo.io/{$adresse_ip}/postal"));

/* ville de l'ip*/
$ville_ip = trim(file_get_contents("https://ipinfo.io/{$adresse_ip}/city"));

/* region de l'ip*/
$region_ip = trim(file_get_contents("https://ipinfo.io/{$adresse_ip}/region"));

/* pays de l'ip*/
$pays_ip = trim(file_get_contents("https://ipinfo.io/{$adresse_ip}/country"));

/* nom pays de l'ip*/
$nom_pays_ip = trim(file_get_contents("https://ipinfo.io/{$adresse_ip}/countryname"));

/* geoloc de l'ip*/
$geoloc_ip = trim(file_get_contents("https://ipinfo.io/{$adresse_ip}/loc"));

/* fuseau horaire de l'ip*/
$fuseau_horaire_ip = trim(file_get_contents("https://ipinfo.io/{$adresse_ip}/timezone"));

?>
